Subject: bug#18716: Patch for this bug

From: Reuben Thomas <[email-masked]>
Date: Fri, 2 Dec 2016 16:10:01 +0000

On 2 December 2016 at 09:40, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Mon, 28 Nov 2016 21:32:03 +0000
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> > ​Thanks for the heads up, that's great news! It bothered me that there
> was no easy way to do this previously.
> >
> > ​I updated my patch so that dired-omit-case-fold is now a three-valued
> variable which defaults to 'filesystem,
> > and a helper function that checks (filename-case-sensitive-p
> dired-directory) when this value is used.
> >
> > I've added info and NEWS documentation for dired-omit-case-fold.
>
> Thanks, a few comments below.  With those fixed, please push to
> master.
>

Done; thanks for the review.​

> +                                                           Set to
> > +@code{nil} to be always case-sensitive, and @code{t} to be always
> > +case-sensitive.
>
> So which is it? ;-)
>

​I had quite a lot of struggles with these! Well spotted.​

​​
> Bonus points for avoiding passive tense altogether ("... allows
> customization of case-sensitivity ...").
>

Bonus points earned!

> > +(defcustom dired-omit-case-fold 'filesystem
> > +  "Whether `dired-omit-mode' will use case-folding to match the
> > +regexp of files to omit.  When nil, always be case-sensitive; when
>
> The first line of a doc string should be a complete sentence.
>

​OK, I fixed this one.​

> > +(defun dired-omit-case-fold-p (dir)
> > +  "Return t if, according to `dired-omit-case-fold',
> > +  `dired-omit-mode' should use case folding to interpret its
> > +  regexp in directory DIR."
>
> Likewise.
>

​I'm a bit puzzled here: this is a complete sentence. I wondered whether
you expected an "else" clause, so I added one: "…, or nil otherwise."

-- 
http://rrt.sc3d.org